Bug 844189 - Video issue when resuming with f17 and Intel integrated motherboard
Video issue when resuming with f17 and Intel integrated motherboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 14:41 EDT by dav
Modified: 2013-07-31 13:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:48:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
drm part of log messages when booting (909 bytes, text/plain)
2012-08-01 05:28 EDT, dav
no flags Details
Kernel logs when resuming (7.81 KB, text/plain)
2012-08-01 05:28 EDT, dav
no flags Details
Video to see this bug result (801.25 KB, video/quicktime)
2012-08-28 06:35 EDT, dav
no flags Details

  None (edit)
Description dav 2012-07-29 14:41:41 EDT
Description of problem:

After system suspend, when resuming screen was fucked, with flicking and like invalid video memory pointer address (random points and colors on a few part of black screen).

My laptop is a SONY VAIO VPC-Z1 with dual card. An NVIDIA GE 330M and an intel (i905?) (the one I'm using) as secondary and reported as:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Sony Corporation Device 905a


This issue is reproducible with a fresh F17 install (default desktop template), and with both default install kernel and latest (3.4.6-2.fc17.x86_64).
Before I was using F16, F15 and F14 without this issue.


Version-Release number of selected component (if applicable):

Name        : xorg-x11-drv-nouveau
Epoch       : 1
Version     : 0.0.16
Release     : 37.20120306gitf5d1cd2.fc17
Architecture: x86_64




How reproducible: On my system, 100% reproducible.


Steps to Reproduce:
1. Suspend system
2. Resume system
  
Actual results:

screen is fucked, you will need to reboot to be able to re-use system


Expected results:

screen restored as when system was suspended.

Additional info: none
Comment 1 dav 2012-08-01 05:28:01 EDT
Created attachment 601699 [details]
drm part of log messages when booting

This file is result for "grep drm /var/log/messages"
Comment 2 dav 2012-08-01 05:28:36 EDT
Created attachment 601700 [details]
Kernel logs when resuming

Kernel logs when resuming
Comment 3 Miroslav Mamrak 2012-08-13 08:02:57 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 dav 2012-08-28 06:35:32 EDT
Created attachment 607468 [details]
Video to see this bug result


Bug does not occurs when suspending to disk, only when suspending to ram.
Comment 5 Fedora End Of Life 2013-07-03 15:24:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 13:49:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.